OGRE-Next: Ogre::RenderSystemCapabilities Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::RenderSystemCapabilities Class Reference
Core » RenderSystem

singleton class for storing the capabilities of the graphics card. More...

`#include <OgreRenderSystemCapabilities.h>`

Inheritance diagram for Ogre::RenderSystemCapabilities:
[legend]

## Public Types
typedef set< String >::type | ShaderProfiles

## Public Member Functions
| RenderSystemCapabilities ()
virtual | ~RenderSystemCapabilities ()
void | addShaderProfile (const String &profile)
| Adds the profile to the list of supported profiles.
virtual size_t | calculateSize () const
ushort | getComputeProgramConstantBoolCount () const
| The number of boolean constants fragment programs support.
ushort | getComputeProgramConstantFloatCount () const
| The number of floating-point constants fragment programs support.
ushort | getComputeProgramConstantIntCount () const
| The number of integer constants fragment programs support.
uint32 | getDeviceId () const
String | getDeviceName () const
| gets the device name for render system
DriverVersion | getDriverVersion () const
ushort | getFragmentProgramConstantBoolCount () const
| The number of boolean constants fragment programs support.
ushort | getFragmentProgramConstantFloatCount () const
| The number of floating-point constants fragment programs support.
ushort | getFragmentProgramConstantIntCount () const
| The number of integer constants fragment programs support.
ushort | getGeometryProgramConstantBoolCount () const
| The number of boolean constants geometry programs support.
ushort | getGeometryProgramConstantFloatCount () const
| The number of floating-point constants geometry programs support.
ushort | getGeometryProgramConstantIntCount () const
| The number of integer constants geometry programs support.
int | getGeometryProgramNumOutputVertices () const
| Get the number of vertices a single geometry program run can emit.
uint32 | getMaximumResolution2D () const
| Maximum resolution (width or height).
uint32 | getMaximumResolution3D () const
| Maximum resolution (width or height).
uint32 | getMaximumResolutionCubemap () const
| Maximum resolution (width or height).
Real | getMaxPointSize () const
| Maximum point screen size in pixels.
Real | getMaxSupportedAnisotropy () const
| Get the maximum supported anisotropic filtering.
uint32 | getMaxThreadsPerThreadgroup () const
const uint32 * | getMaxThreadsPerThreadgroupAxis () const
bool | getNonPOW2TexturesLimited () const
| Are non-power of two textures limited in features?
ushort | getNumMultiRenderTargets () const
| The number of simultaneous render targets supported.
uint32 | getNumTexturesInTextureDescriptor (ShaderType shaderType) const
| Max number of textures per shader stage that can be fit in DescriptorSetTexture and DescriptorSetTexture2.
ushort | getNumTextureUnits () const
| Returns the number of texture units the current output hardware supports.
ushort | getNumVertexBlendMatrices () const
| Returns the number of matrices available to hardware vertex blending for this rendering system.
ushort | getNumVertexTextureUnits () const
| Get the number of vertex texture units supported.
ushort | getNumWorldMatrices () const
String | getRenderSystemName () const
| Get the identifier of the rendersystem from which these capabilities were generated.
ushort | getStencilBufferBitDepth () const
| Determines the bit depth of the hardware accelerated stencil buffer, if supported.
const ShaderProfiles & | getSupportedShaderProfiles () const
| Returns a set of all supported shader profiles.
ushort | getTessellationDomainProgramConstantBoolCount () const
| The number of boolean constants fragment programs support.
ushort | getTessellationDomainProgramConstantFloatCount () const
| The number of floating-point constants fragment programs support.
ushort | getTessellationDomainProgramConstantIntCount () const
| The number of integer constants fragment programs support.
ushort | getTessellationHullProgramConstantBoolCount () const
| The number of boolean constants fragment programs support.
ushort | getTessellationHullProgramConstantFloatCount () const
| The number of floating-point constants fragment programs support.
ushort | getTessellationHullProgramConstantIntCount () const
| The number of integer constants fragment programs support.
GPUVendor | getVendor () const
ushort | getVertexProgramConstantBoolCount () const
| The number of boolean constants vertex programs support.
ushort | getVertexProgramConstantFloatCount () const
| The number of floating-point constants vertex programs support.
ushort | getVertexProgramConstantIntCount () const
| The number of integer constants vertex programs support.
bool | getVertexTextureUnitsShared () const
| Get whether the vertex texture units are shared with the fragment processor.
bool | hasCapability (const Capabilities c) const
| Checks for a capability.
bool | isCapabilityRenderSystemSpecific (const Capabilities c) const
| Returns true if capability is render system specific.
bool | isCategoryRelevant (CapabilitiesCategory cat)
| Return whether a category is 'relevant' or not, ie will it be reported.
bool | isDriverOlderThanVersion (const DriverVersion &v) const
bool | isShaderProfileSupported (const String &profile) const
| Returns true if profile is in the list of supported profiles.
void | log (Log *pLog)
| Write the capabilities to the pass in Log.
void | parseDriverVersionFromString (const String &versionString)
void | parseVendorFromString (const String &vendorString)
| Parse and set vendor.
void | removeShaderProfile (const String &profile)
| Remove a given shader profile, if present.
void | setCapability (const Capabilities c)
| Adds a capability flag.
void | setCategoryRelevant (CapabilitiesCategory cat, bool relevant)
| Mark a category as 'relevant' or not, ie will it be reported.
void | setComputeProgramConstantBoolCount (ushort c)
| The number of boolean constants compute programs support.
void | setComputeProgramConstantFloatCount (ushort c)
| The number of floating-point constants compute programs support.
void | setComputeProgramConstantIntCount (ushort c)
| The number of integer constants compute programs support.
void | setDeviceId (uint32 deviceId)
void | setDeviceName (const String &name)
| sets the device name for Render system
void | setDriverVersion (const DriverVersion &version)
| Set the driver version.
void | setFragmentProgramConstantBoolCount (ushort c)
| The number of boolean constants fragment programs support.
void | setFragmentProgramConstantFloatCount (ushort c)
| The number of floating-point constants fragment programs support.
void | setFragmentProgramConstantIntCount (ushort c)
| The number of integer constants fragment programs support.
void | setGeometryProgramConstantBoolCount (ushort c)
| The number of boolean constants geometry programs support.
void | setGeometryProgramConstantFloatCount (ushort c)
| The number of floating-point constants geometry programs support.
void | setGeometryProgramConstantIntCount (ushort c)
| The number of integer constants geometry programs support.
void | setGeometryProgramNumOutputVertices (int numOutputVertices)
| Set the number of vertices a single geometry program run can emit.
void | setMaximumResolutions (uint32 res2d, uint32 res3d, uint32 resCube)
| Maximum resolution (width or height).
void | setMaxPointSize (Real s)
| Maximum point screen size in pixels.
void | setMaxSupportedAnisotropy (Real s)
| Set the maximum supported anisotropic filtering.
void | setMaxThreadsPerThreadgroup (uint32 value)
void | setMaxThreadsPerThreadgroupAxis (const uint32 value[3])
void | setNonPOW2TexturesLimited (bool l)
| Non-POW2 textures limited.
void | setNumMultiRenderTargets (ushort num)
| The number of simultaneous render targets supported.
void | setNumTexturesInTextureDescriptor (uint32 values[NumShaderTypes+1])
void | setNumTextureUnits (ushort num)
void | setNumVertexBlendMatrices (ushort num)
void | setNumVertexTextureUnits (ushort n)
| Set the number of vertex texture units supported.
void | setNumWorldMatrices (ushort num)
void | setRenderSystemName (const String &rs)
| Set the identifier of the rendersystem from which these capabilities were generated.
void | setStencilBufferBitDepth (ushort num)
void | setTessellationDomainProgramConstantBoolCount (ushort c)
| The number of boolean constants tessellation Domain programs support.
void | setTessellationDomainProgramConstantFloatCount (ushort c)
| The number of floating-point constants tessellation Domain programs support.
void | setTessellationDomainProgramConstantIntCount (ushort c)
| The number of integer constants tessellation Domain programs support.
void | setTessellationHullProgramConstantBoolCount (ushort c)
| The number of boolean constants tessellation Domain programs support.
void | setTessellationHullProgramConstantFloatCount (ushort c)
| The number of floating-point constants tessellation Hull programs support.
void | setTessellationHullProgramConstantIntCount (ushort c)
| The number of integer constants tessellation Domain programs support.
void | setVendor (GPUVendor v)
void | setVertexProgramConstantBoolCount (ushort c)
| The number of boolean constants vertex programs support.
void | setVertexProgramConstantFloatCount (ushort c)
| The number of floating-point constants vertex programs support.
void | setVertexProgramConstantIntCount (ushort c)
| The number of integer constants vertex programs support.
void | setVertexTextureUnitsShared (bool shared)
| Set whether the vertex texture units are shared with the fragment processor.
void | unsetCapability (const Capabilities c)
| Remove a capability flag.

## Static Public Member Functions
static GPUVendor | vendorFromString (const String &vendorString)
| Convert a vendor string to an enum.
static String | vendorToString (GPUVendor v)
| Convert a vendor enum to a string.

## Detailed Description

singleton class for storing the capabilities of the graphics card.

Remarks
  This class stores the capabilities of the graphics card. This information is set by the individual render systems.

## Member Typedef Documentation

## ◆ ShaderProfiles

typedef set<String>::type Ogre::RenderSystemCapabilities::ShaderProfiles

## Constructor & Destructor Documentation

## ◆ RenderSystemCapabilities()

Ogre::RenderSystemCapabilities::RenderSystemCapabilities | ( |  | ) |

## ◆ ~RenderSystemCapabilities()

virtual Ogre::RenderSystemCapabilities::~RenderSystemCapabilities | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addShaderProfile()

void Ogre::RenderSystemCapabilities::addShaderProfile | ( | const String & | profile | ) |
| inline

Adds the profile to the list of supported profiles.

## ◆ calculateSize()

virtual size_t Ogre::RenderSystemCapabilities::calculateSize | ( |  | ) | const
| inlinevirtual

## ◆ getComputeProgramConstantBoolCount()

ushort Ogre::RenderSystemCapabilities::getComputeProgramConstantBoolCount | ( |  | ) | const
| inline

The number of boolean constants fragment programs support.

## ◆ getComputeProgramConstantFloatCount()

ushort Ogre::RenderSystemCapabilities::getComputeProgramConstantFloatCount | ( |  | ) | const
| inline

The number of floating-point constants fragment programs support.

## ◆ getComputeProgramConstantIntCount()

ushort Ogre::RenderSystemCapabilities::getComputeProgramConstantIntCount | ( |  | ) | const
| inline

The number of integer constants fragment programs support.

## ◆ getDeviceId()

uint32 Ogre::RenderSystemCapabilities::getDeviceId | ( |  | ) | const
| inline

## ◆ getDeviceName()

String Ogre::RenderSystemCapabilities::getDeviceName | ( |  | ) | const
| inline

gets the device name for render system

## ◆ getDriverVersion()

DriverVersion Ogre::RenderSystemCapabilities::getDriverVersion | ( |  | ) | const
| inline

## ◆ getFragmentProgramConstantBoolCount()

ushort Ogre::RenderSystemCapabilities::getFragmentProgramConstantBoolCount | ( |  | ) | const
| inline

The number of boolean constants fragment programs support.

## ◆ getFragmentProgramConstantFloatCount()

ushort Ogre::RenderSystemCapabilities::getFragmentProgramConstantFloatCount | ( |  | ) | const
| inline

The number of floating-point constants fragment programs support.

## ◆ getFragmentProgramConstantIntCount()

ushort Ogre::RenderSystemCapabilities::getFragmentProgramConstantIntCount | ( |  | ) | const
| inline

The number of integer constants fragment programs support.

## ◆ getGeometryProgramConstantBoolCount()

ushort Ogre::RenderSystemCapabilities::getGeometryProgramConstantBoolCount | ( |  | ) | const
| inline

The number of boolean constants geometry programs support.

## ◆ getGeometryProgramConstantFloatCount()

ushort Ogre::RenderSystemCapabilities::getGeometryProgramConstantFloatCount | ( |  | ) | const
| inline

The number of floating-point constants geometry programs support.

## ◆ getGeometryProgramConstantIntCount()

ushort Ogre::RenderSystemCapabilities::getGeometryProgramConstantIntCount | ( |  | ) | const
| inline

The number of integer constants geometry programs support.

## ◆ getGeometryProgramNumOutputVertices()

int Ogre::RenderSystemCapabilities::getGeometryProgramNumOutputVertices | ( |  | ) | const
| inline

Get the number of vertices a single geometry program run can emit.

## ◆ getMaximumResolution2D()

uint32 Ogre::RenderSystemCapabilities::getMaximumResolution2D | ( |  | ) | const
| inline

Maximum resolution (width or height).

## ◆ getMaximumResolution3D()

uint32 Ogre::RenderSystemCapabilities::getMaximumResolution3D | ( |  | ) | const
| inline

Maximum resolution (width or height).

## ◆ getMaximumResolutionCubemap()

uint32 Ogre::RenderSystemCapabilities::getMaximumResolutionCubemap | ( |  | ) | const
| inline

Maximum resolution (width or height).

## ◆ getMaxPointSize()

Real Ogre::RenderSystemCapabilities::getMaxPointSize | ( |  | ) | const
| inline

Maximum point screen size in pixels.

## ◆ getMaxSupportedAnisotropy()

Real Ogre::RenderSystemCapabilities::getMaxSupportedAnisotropy | ( |  | ) | const
| inline

Get the maximum supported anisotropic filtering.

## ◆ getMaxThreadsPerThreadgroup()

uint32 Ogre::RenderSystemCapabilities::getMaxThreadsPerThreadgroup | ( |  | ) | const
| inline

## ◆ getMaxThreadsPerThreadgroupAxis()

const uint32 * Ogre::RenderSystemCapabilities::getMaxThreadsPerThreadgroupAxis | ( |  | ) | const
| inline

## ◆ getNonPOW2TexturesLimited()

bool Ogre::RenderSystemCapabilities::getNonPOW2TexturesLimited | ( |  | ) | const
| inline

Are non-power of two textures limited in features?

Remarks
  If the RSC_NON_POWER_OF_2_TEXTURES capability is set, but this method returns true, you can use non power of 2 textures only if:
  - You load them explicitly with no mip maps
  - You don't use DXT texture compression
  - You use clamp texture addressing

## ◆ getNumMultiRenderTargets()

ushort Ogre::RenderSystemCapabilities::getNumMultiRenderTargets | ( |  | ) | const
| inline

The number of simultaneous render targets supported.

## ◆ getNumTexturesInTextureDescriptor()

uint32 Ogre::RenderSystemCapabilities::getNumTexturesInTextureDescriptor | ( | ShaderType | shaderType | ) | const
| inline

Max number of textures per shader stage that can be fit in DescriptorSetTexture and DescriptorSetTexture2.

mNumTexturesInTextureDescriptor[NumShaderTypes] is compute

Remarks
  With some APIs Ogre will bind the textures to all stages. Hence if you're using Vertex & Pixel shaders and vertex supports 16 but pixel supports 32, you can only use 16. This combo is pretty rare though.

## ◆ getNumTextureUnits()

ushort Ogre::RenderSystemCapabilities::getNumTextureUnits | ( |  | ) | const
| inline

Returns the number of texture units the current output hardware supports.

For use in rendering, this determines how many texture units the are available for multitexturing (i.e. rendering multiple textures in a single pass). Where a Material has multiple texture layers, it will try to use multitexturing where available, and where it is not available, will perform multipass rendering to achieve the same effect. This property only applies to the fixed-function pipeline, the number available to the programmable pipeline depends on the shader model in use.

## ◆ getNumVertexBlendMatrices()

ushort Ogre::RenderSystemCapabilities::getNumVertexBlendMatrices | ( |  | ) | const
| inline

Returns the number of matrices available to hardware vertex blending for this rendering system.

## ◆ getNumVertexTextureUnits()

ushort Ogre::RenderSystemCapabilities::getNumVertexTextureUnits | ( |  | ) | const
| inline

Get the number of vertex texture units supported.

## ◆ getNumWorldMatrices()

ushort Ogre::RenderSystemCapabilities::getNumWorldMatrices | ( |  | ) | const
| inline

## ◆ getRenderSystemName()

String Ogre::RenderSystemCapabilities::getRenderSystemName | ( |  | ) | const
| inline

Get the identifier of the rendersystem from which these capabilities were generated.

## ◆ getStencilBufferBitDepth()

ushort Ogre::RenderSystemCapabilities::getStencilBufferBitDepth | ( |  | ) | const
| inline

Determines the bit depth of the hardware accelerated stencil buffer, if supported.

Remarks
  If hardware stencilling is not supported, the software will provide an 8-bit software stencil.

## ◆ getSupportedShaderProfiles()

const ShaderProfiles & Ogre::RenderSystemCapabilities::getSupportedShaderProfiles | ( |  | ) | const
| inline

Returns a set of all supported shader profiles.

## ◆ getTessellationDomainProgramConstantBoolCount()

ushort Ogre::RenderSystemCapabilities::getTessellationDomainProgramConstantBoolCount | ( |  | ) | const
| inline

The number of boolean constants fragment programs support.

## ◆ getTessellationDomainProgramConstantFloatCount()

ushort Ogre::RenderSystemCapabilities::getTessellationDomainProgramConstantFloatCount | ( |  | ) | const
| inline

The number of floating-point constants fragment programs support.

## ◆ getTessellationDomainProgramConstantIntCount()

ushort Ogre::RenderSystemCapabilities::getTessellationDomainProgramConstantIntCount | ( |  | ) | const
| inline

The number of integer constants fragment programs support.

## ◆ getTessellationHullProgramConstantBoolCount()

ushort Ogre::RenderSystemCapabilities::getTessellationHullProgramConstantBoolCount | ( |  | ) | const
| inline

The number of boolean constants fragment programs support.

## ◆ getTessellationHullProgramConstantFloatCount()

ushort Ogre::RenderSystemCapabilities::getTessellationHullProgramConstantFloatCount | ( |  | ) | const
| inline

The number of floating-point constants fragment programs support.

## ◆ getTessellationHullProgramConstantIntCount()

ushort Ogre::RenderSystemCapabilities::getTessellationHullProgramConstantIntCount | ( |  | ) | const
| inline

The number of integer constants fragment programs support.

## ◆ getVendor()

GPUVendor Ogre::RenderSystemCapabilities::getVendor | ( |  | ) | const
| inline

## ◆ getVertexProgramConstantBoolCount()

ushort Ogre::RenderSystemCapabilities::getVertexProgramConstantBoolCount | ( |  | ) | const
| inline

The number of boolean constants vertex programs support.

## ◆ getVertexProgramConstantFloatCount()

ushort Ogre::RenderSystemCapabilities::getVertexProgramConstantFloatCount | ( |  | ) | const
| inline

The number of floating-point constants vertex programs support.

## ◆ getVertexProgramConstantIntCount()

ushort Ogre::RenderSystemCapabilities::getVertexProgramConstantIntCount | ( |  | ) | const
| inline

The number of integer constants vertex programs support.

## ◆ getVertexTextureUnitsShared()

bool Ogre::RenderSystemCapabilities::getVertexTextureUnitsShared | ( |  | ) | const
| inline

Get whether the vertex texture units are shared with the fragment processor.

## ◆ hasCapability()

bool Ogre::RenderSystemCapabilities::hasCapability | ( | const Capabilities | c | ) | const
| inline

Checks for a capability.

References CAPS_CATEGORY_MASK, and OGRE_CAPS_BITSHIFT.

## ◆ isCapabilityRenderSystemSpecific()

bool Ogre::RenderSystemCapabilities::isCapabilityRenderSystemSpecific | ( | const Capabilities | c | ) | const
| inline

Returns true if capability is render system specific.

References Ogre::CAPS_CATEGORY_D3D9, Ogre::CAPS_CATEGORY_GL, and OGRE_CAPS_BITSHIFT.

## ◆ isCategoryRelevant()

bool Ogre::RenderSystemCapabilities::isCategoryRelevant | ( | CapabilitiesCategory | cat | ) |
| inline

Return whether a category is 'relevant' or not, ie will it be reported.

## ◆ isDriverOlderThanVersion()

bool Ogre::RenderSystemCapabilities::isDriverOlderThanVersion | ( | const DriverVersion & | v | ) | const
| inline

References Ogre::DriverVersion::build, Ogre::DriverVersion::major, Ogre::DriverVersion::minor, and Ogre::DriverVersion::release.

## ◆ isShaderProfileSupported()

bool Ogre::RenderSystemCapabilities::isShaderProfileSupported | ( | const String & | profile | ) | const
| inline

Returns true if profile is in the list of supported profiles.

## ◆ log()

void Ogre::RenderSystemCapabilities::log | ( | Log * | pLog | ) |

Write the capabilities to the pass in Log.

## ◆ parseDriverVersionFromString()

void Ogre::RenderSystemCapabilities::parseDriverVersionFromString | ( | const String & | versionString | ) |
| inline

References Ogre::DriverVersion::fromString(), and setDriverVersion().

## ◆ parseVendorFromString()

void Ogre::RenderSystemCapabilities::parseVendorFromString | ( | const String & | vendorString | ) |
| inline

Parse and set vendor.

References setVendor(), and vendorFromString().

## ◆ removeShaderProfile()

void Ogre::RenderSystemCapabilities::removeShaderProfile | ( | const String & | profile | ) |
| inline

Remove a given shader profile, if present.

## ◆ setCapability()

void Ogre::RenderSystemCapabilities::setCapability | ( | const Capabilities | c | ) |
| inline

Adds a capability flag.

References CAPS_CATEGORY_MASK, and OGRE_CAPS_BITSHIFT.

## ◆ setCategoryRelevant()

void Ogre::RenderSystemCapabilities::setCategoryRelevant | ( | CapabilitiesCategory | cat,
|  | bool | relevant )
| inline

Mark a category as 'relevant' or not, ie will it be reported.

## ◆ setComputeProgramConstantBoolCount()

void Ogre::RenderSystemCapabilities::setComputeProgramConstantBoolCount | ( | ushort | c | ) |
| inline

The number of boolean constants compute programs support.

## ◆ setComputeProgramConstantFloatCount()

void Ogre::RenderSystemCapabilities::setComputeProgramConstantFloatCount | ( | ushort | c | ) |
| inline

The number of floating-point constants compute programs support.

## ◆ setComputeProgramConstantIntCount()

void Ogre::RenderSystemCapabilities::setComputeProgramConstantIntCount | ( | ushort | c | ) |
| inline

The number of integer constants compute programs support.

## ◆ setDeviceId()

void Ogre::RenderSystemCapabilities::setDeviceId | ( | uint32 | deviceId | ) |
| inline

## ◆ setDeviceName()

void Ogre::RenderSystemCapabilities::setDeviceName | ( | const String & | name | ) |
| inline

sets the device name for Render system

## ◆ setDriverVersion()

void Ogre::RenderSystemCapabilities::setDriverVersion | ( | const DriverVersion & | version | ) |
| inline

Set the driver version.

Referenced by parseDriverVersionFromString().

## ◆ setFragmentProgramConstantBoolCount()

void Ogre::RenderSystemCapabilities::setFragmentProgramConstantBoolCount | ( | ushort | c | ) |
| inline

The number of boolean constants fragment programs support.

## ◆ setFragmentProgramConstantFloatCount()

void Ogre::RenderSystemCapabilities::setFragmentProgramConstantFloatCount | ( | ushort | c | ) |
| inline

The number of floating-point constants fragment programs support.

## ◆ setFragmentProgramConstantIntCount()

void Ogre::RenderSystemCapabilities::setFragmentProgramConstantIntCount | ( | ushort | c | ) |
| inline

The number of integer constants fragment programs support.

## ◆ setGeometryProgramConstantBoolCount()

void Ogre::RenderSystemCapabilities::setGeometryProgramConstantBoolCount | ( | ushort | c | ) |
| inline

The number of boolean constants geometry programs support.

## ◆ setGeometryProgramConstantFloatCount()

void Ogre::RenderSystemCapabilities::setGeometryProgramConstantFloatCount | ( | ushort | c | ) |
| inline

The number of floating-point constants geometry programs support.

## ◆ setGeometryProgramConstantIntCount()

void Ogre::RenderSystemCapabilities::setGeometryProgramConstantIntCount | ( | ushort | c | ) |
| inline

The number of integer constants geometry programs support.

## ◆ setGeometryProgramNumOutputVertices()

void Ogre::RenderSystemCapabilities::setGeometryProgramNumOutputVertices | ( | int | numOutputVertices | ) |
| inline

Set the number of vertices a single geometry program run can emit.

## ◆ setMaximumResolutions()

void Ogre::RenderSystemCapabilities::setMaximumResolutions | ( | uint32 | res2d,
|  | uint32 | res3d,
|  | uint32 | resCube )
| inline

Maximum resolution (width or height).

## ◆ setMaxPointSize()

void Ogre::RenderSystemCapabilities::setMaxPointSize | ( | Real | s | ) |
| inline

Maximum point screen size in pixels.

## ◆ setMaxSupportedAnisotropy()

void Ogre::RenderSystemCapabilities::setMaxSupportedAnisotropy | ( | Real | s | ) |
| inline

Set the maximum supported anisotropic filtering.

## ◆ setMaxThreadsPerThreadgroup()

void Ogre::RenderSystemCapabilities::setMaxThreadsPerThreadgroup | ( | uint32 | value | ) |
| inline

## ◆ setMaxThreadsPerThreadgroupAxis()

void Ogre::RenderSystemCapabilities::setMaxThreadsPerThreadgroupAxis | ( | const uint32 | value[3] | ) |
| inline

## ◆ setNonPOW2TexturesLimited()

void Ogre::RenderSystemCapabilities::setNonPOW2TexturesLimited | ( | bool | l | ) |
| inline

Non-POW2 textures limited.

## ◆ setNumMultiRenderTargets()

void Ogre::RenderSystemCapabilities::setNumMultiRenderTargets | ( | ushort | num | ) |
| inline

The number of simultaneous render targets supported.

## ◆ setNumTexturesInTextureDescriptor()

void Ogre::RenderSystemCapabilities::setNumTexturesInTextureDescriptor | ( | uint32 | values[NumShaderTypes+1] | ) |
| inline

References Ogre::NumShaderTypes.

## ◆ setNumTextureUnits()

void Ogre::RenderSystemCapabilities::setNumTextureUnits | ( | ushort | num | ) |
| inline

## ◆ setNumVertexBlendMatrices()

void Ogre::RenderSystemCapabilities::setNumVertexBlendMatrices | ( | ushort | num | ) |
| inline

## ◆ setNumVertexTextureUnits()

void Ogre::RenderSystemCapabilities::setNumVertexTextureUnits | ( | ushort | n | ) |
| inline

Set the number of vertex texture units supported.

## ◆ setNumWorldMatrices()

void Ogre::RenderSystemCapabilities::setNumWorldMatrices | ( | ushort | num | ) |
| inline

## ◆ setRenderSystemName()

void Ogre::RenderSystemCapabilities::setRenderSystemName | ( | const String & | rs | ) |
| inline

Set the identifier of the rendersystem from which these capabilities were generated.

## ◆ setStencilBufferBitDepth()

void Ogre::RenderSystemCapabilities::setStencilBufferBitDepth | ( | ushort | num | ) |
| inline

## ◆ setTessellationDomainProgramConstantBoolCount()

void Ogre::RenderSystemCapabilities::setTessellationDomainProgramConstantBoolCount | ( | ushort | c | ) |
| inline

The number of boolean constants tessellation Domain programs support.

## ◆ setTessellationDomainProgramConstantFloatCount()

void Ogre::RenderSystemCapabilities::setTessellationDomainProgramConstantFloatCount | ( | ushort | c | ) |
| inline

The number of floating-point constants tessellation Domain programs support.

## ◆ setTessellationDomainProgramConstantIntCount()

void Ogre::RenderSystemCapabilities::setTessellationDomainProgramConstantIntCount | ( | ushort | c | ) |
| inline

The number of integer constants tessellation Domain programs support.

## ◆ setTessellationHullProgramConstantBoolCount()

void Ogre::RenderSystemCapabilities::setTessellationHullProgramConstantBoolCount | ( | ushort | c | ) |
| inline

The number of boolean constants tessellation Domain programs support.

## ◆ setTessellationHullProgramConstantFloatCount()

void Ogre::RenderSystemCapabilities::setTessellationHullProgramConstantFloatCount | ( | ushort | c | ) |
| inline

The number of floating-point constants tessellation Hull programs support.

## ◆ setTessellationHullProgramConstantIntCount()

void Ogre::RenderSystemCapabilities::setTessellationHullProgramConstantIntCount | ( | ushort | c | ) |
| inline

The number of integer constants tessellation Domain programs support.

## ◆ setVendor()

void Ogre::RenderSystemCapabilities::setVendor | ( | GPUVendor | v | ) |
| inline

Referenced by parseVendorFromString().

## ◆ setVertexProgramConstantBoolCount()

void Ogre::RenderSystemCapabilities::setVertexProgramConstantBoolCount | ( | ushort | c | ) |
| inline

The number of boolean constants vertex programs support.

## ◆ setVertexProgramConstantFloatCount()

void Ogre::RenderSystemCapabilities::setVertexProgramConstantFloatCount | ( | ushort | c | ) |
| inline

The number of floating-point constants vertex programs support.

## ◆ setVertexProgramConstantIntCount()

void Ogre::RenderSystemCapabilities::setVertexProgramConstantIntCount | ( | ushort | c | ) |
| inline

The number of integer constants vertex programs support.

## ◆ setVertexTextureUnitsShared()

void Ogre::RenderSystemCapabilities::setVertexTextureUnitsShared | ( | bool | shared | ) |
| inline

Set whether the vertex texture units are shared with the fragment processor.

## ◆ unsetCapability()

void Ogre::RenderSystemCapabilities::unsetCapability | ( | const Capabilities | c | ) |
| inline

Remove a capability flag.

References CAPS_CATEGORY_MASK, and OGRE_CAPS_BITSHIFT.

## ◆ vendorFromString()

GPUVendor Ogre::RenderSystemCapabilities::vendorFromString | ( | const String & | vendorString | ) |
| static

Convert a vendor string to an enum.

Referenced by parseVendorFromString().

## ◆ vendorToString()

String Ogre::RenderSystemCapabilities::vendorToString | ( | GPUVendor | v | ) |
| static

Convert a vendor enum to a string.

The documentation for this class was generated from the following file:

- OgreRenderSystemCapabilities.h